package com.example.demo.repository;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.TestPropertySource;
import com.example.demo.entity.Item;
import com.example.demo.entity.QItem;
import org.junit.jupiter.api.DisplayName;
import java.time.LocalDateTime;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.junit.runner.RunWith;
import com.example.demo.constant.ItemSellStatus;
import java.util.List;
import com.querydsl.jpa.impl.JPAQueryFactory;
import com.querydsl.jpa.impl.JPAQuery;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@SpringBootTest
@TestPropertySource(locations="classpath:application-test.properties")
@RunWith( SpringJUnit4ClassRunner.class )
public class ItemRepositoryTest {

 @Autowired
 ItemRepository itemRepository;

 @Test
 @DisplayName("상품 저장 테스트")
 public void createItemTest(){
 Item item = new Item();
 item.setItemNm("테스트 상품");
 item.setPrice(100000);
 item.setItemDetail("테스트 상품 상세 설명");
 item.setStockNumber(100);
 item.setRegTime(LocalDateTime.now());
 item.setUpdateTime(LocalDateTime.now());
 
 Item savedItem = itemRepository.save(item);
 System.out.println(savedItem.toString());
}


}